|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QTableWidgetItem

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QTableWidgetItem class reference

### Public Functions

- QColor backgroundColor () const `(obsolete)`
- void setBackgroundColor ( const QColor & color ) `(obsolete)`
- void setTextColor ( const QColor & color ) `(obsolete)`
- QColor textColor () const `(obsolete)`

## Member Function Documentation

### QColor QTableWidgetItem::backgroundColor () const

This function is deprecated. Use background() instead.

See also setBackgroundColor().

### void QTableWidgetItem::setBackgroundColor ( const QColor & color )

This function is deprecated. Use setBackground() instead.

See also backgroundColor().

### void QTableWidgetItem::setTextColor ( const QColor & color )

This function is deprecated. Use setForeground() instead.

See also textColor().

### QColor QTableWidgetItem::textColor () const

This function is deprecated. Use foreground() instead.

See also setTextColor().